﻿using Cutter; //<-- 
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Forms;

namespace CutterDataVisualizer
{
    public partial class CutterDataVisualizerForm : Form
    {
        public CutterDataVisualizerForm()
        {
            InitializeComponent();
        }

        public void LoadData(CutterPlan Input)
        {
            tb_name.Text = Input.Name;

            Bitmap ImgSrc = new Bitmap(Input.Plate.Width, Input.Plate.Height);
            Graphics Canvas = Graphics.FromImage(ImgSrc);
            Canvas.FillRectangle(Brushes.White, Input.Plate);

            foreach(CutterItem Item in Input.Items)
            {
                Canvas.FillRectangle(new SolidBrush(Item.ItemColor), Item.ItemRect);
            }

            pb_data.Image = ImgSrc;
        }

        private void btn_close_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
