﻿using Cutter; 
using Microsoft.VisualStudio.DebuggerVisualizers;

namespace CutterDataVisualizer
{
    public class DebuggerSide : DialogDebuggerVisualizer
    {
        protected override void Show(IDialogVisualizerService windowService, IVisualizerObjectProvider objectProvider)
        {
            object InputData = objectProvider.GetObject();

            if (InputData != null && InputData is CutterPlan)
            {
                CutterDataVisualizerForm VizForm = new CutterDataVisualizerForm();
                VizForm.LoadData((CutterPlan)InputData);
                windowService.ShowDialog(VizForm);
            }
        }

        public static void TestVisualizer(object objectToVisualize)
        {
            if (objectToVisualize != null && objectToVisualize is CutterPlan)
            {
                VisualizerDevelopmentHost myHost = new VisualizerDevelopmentHost(objectToVisualize, typeof(DebuggerSide));
                myHost.ShowVisualizer();
            }
        }

    }
}
