﻿using Cutter;

using Microsoft.VisualStudio.DebuggerVisualizers;

namespace CutterInfoVisualizer
{
    public class DebuggerSide : DialogDebuggerVisualizer
    {
        protected override void Show(IDialogVisualizerService windowService, IVisualizerObjectProvider objectProvider)
        {
            object InputData = objectProvider.GetObject();

            if (InputData != null && InputData is CutterInfoSerializable)
            {
                CutterInfoVisualizerForm VizForm = new CutterInfoVisualizerForm();
                VizForm.LoadData((CutterInfoSerializable)InputData);
                windowService.ShowDialog(VizForm);
            }
        }

        public static void TestVisualizer(object objectToVisualize)
        {
            if (objectToVisualize != null && objectToVisualize is CutterInfo)
            {
                CutterInfoSerializable Serializable = new CutterInfoSerializable((CutterInfo)objectToVisualize);
                VisualizerDevelopmentHost myHost = new VisualizerDevelopmentHost(Serializable, typeof(DebuggerSide));
                myHost.ShowVisualizer();
            }
        }

    }
}
